@forward 'datepicker';

@tailwind base;
@tailwind components;
@tailwind utilities;

h1 {
  @apply mb-1 text-xl font-semibold text-gray-800;
}
h2 {
  @apply mb-1 text-lg font-semibold text-gray-800;
}
h3 {
  @apply mb-1 text-base font-semibold text-gray-800;
}
h4 {
  @apply mb-1 text-sm font-semibold text-gray-800;
}
body {
    background-color: #f4f4f4;
}
.container {
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
.form-group {
    margin-bottom: 15px;
}
.form-group label {
    display: block;
    margin-bottom: 5px;
}
.buttons {
    display: flex;
    justify-content: space-between;
}
.buttons button {
    padding: 10px 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
.buttons button.start {
    background-color: #28a745;
    color: white;
}
.buttons button.stop {
    background-color: #dc3545;
    color: white;
}
.buttons button.reset {
    background-color: #ffc107;
    color: white;
}
.status-overview {
    margin-top: 20px;
}
.status-overview table {
    width: 100%;
    border-collapse: collapse;
}
.status-overview th, .status-overview td {
    border: 1px solid #ddd;
    padding: 8px;
}
.status-overview th {
    background-color: #f4f4f4;
}
.consumer-details {
    margin-top: 10px;
}
.consumer-details table {
    width: 100%;
    border-collapse: collapse;
}
.consumer-details th, .consumer-details td {
    border: 1px solid #ddd;
    padding: 8px;
}
.consumer-details th {
    background-color: #f4f4f4;
}
